summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script')
-rwxr-xr-xsource3/script/installman.sh2
-rwxr-xr-xsource3/script/installswat.sh22
-rw-r--r--source3/script/mkproto.awk2
-rw-r--r--source3/script/tests/functions22
-rw-r--r--source3/script/tests/t_001.sh22
5 files changed, 26 insertions, 44 deletions
diff --git a/source3/script/installman.sh b/source3/script/installman.sh
index 9cd9100839..5564ac0231 100755
--- a/source3/script/installman.sh
+++ b/source3/script/installman.sh
@@ -13,7 +13,7 @@ if [ $# -ge 4 ] ; then
GROFF=$4 # sh cmd line, including options
fi
-if test ! -d ../docs/manpages; then
+if test ! -d docs/manpages; then
echo "No manpages present. SVN development version maybe?"
exit 0
fi
diff --git a/source3/script/installswat.sh b/source3/script/installswat.sh
index 2b99b9c57f..cba3a294f8 100755
--- a/source3/script/installswat.sh
+++ b/source3/script/installswat.sh
@@ -3,7 +3,7 @@
SWATDIR=`echo $1 | sed 's/\/\//\//g'`
SRCDIR=$2/
-BOOKDIR=$SWATDIR/help/using_samba
+BOOKDIR=$SWATDIR/using_samba
echo Installing SWAT in $SWATDIR
echo Installing the Samba Web Administration Tool
@@ -14,7 +14,7 @@ echo Installing langs are `cd $SRCDIR../swat/lang/; /bin/echo ??`
for ln in $LANGS; do
SWATLANGDIR=$SWATDIR/$ln
for d in $SWATLANGDIR $SWATLANGDIR/help $SWATLANGDIR/images \
- $SWATLANGDIR/include; do
+ $SWATLANGDIR/include $SWATLANGDIR/js; do
if [ ! -d $d ]; then
mkdir -p $d
if [ ! -d $d ]; then
@@ -28,7 +28,7 @@ done
# Install images
for ln in $LANGS; do
- for f in $SRCDIR../swat/$ln/images/*.gif; do
+ for f in $SRCDIR../swat/$ln/images/*.png; do
if [ ! -f $f ] ; then
continue
fi
@@ -59,7 +59,7 @@ for ln in $LANGS; do
# Install "server-side" includes
- for f in $SRCDIR../swat/$ln/include/*.html; do
+ for f in $SRCDIR../swat/$ln/include/*; do
if [ ! -f $f ] ; then
continue
fi
@@ -69,13 +69,25 @@ for ln in $LANGS; do
chmod 0644 $FNAME
done
+ # Install javascripts
+
+ for f in $SRCDIR../swat/$ln/js/*.js; do
+ if [ ! -f $f ] ; then
+ continue
+ fi
+ FNAME=$SWATDIR/$ln/js/`basename $f`
+ echo $FNAME
+ cp $f $FNAME || echo Cannot install $FNAME. Does $USER have privileges?
+ chmod 0644 $FNAME
+ done
+
done
# Install html documentation (if html documentation tree is here)
if [ -d $SRCDIR../docs/htmldocs/ ]; then
- for dir in htmldocs/manpages htmldocs/Samba3-ByExample htmldocs/Samba3-Developers-Guide htmldocs/Samba3-HOWTO
+ for dir in htmldocs/ htmldocs/Samba-HOWTO-Collection htmldocs/Samba-Guide htmldocs/Samba-Developers-Guide
do
if [ ! -d $SRCDIR../docs/$dir ]; then
diff --git a/source3/script/mkproto.awk b/source3/script/mkproto.awk
index 3940c34700..73a1c2b3f0 100644
--- a/source3/script/mkproto.awk
+++ b/source3/script/mkproto.awk
@@ -128,7 +128,7 @@ END {
gotstart = 1;
}
- if( $0 ~ /^SAM_ACCT_INFO_NODE|^SMB_ACL_T|^ADS_MODLIST|^PyObject|^SORTED_TREE|^REGISTRY_HOOK|^REGISTRY_VALUE|^DEVICEMODE|^PAC_DATA|^NET_USER_INFO_3|^smb_event_id_t/ ) {
+ if( $0 ~ /^SAM_ACCT_INFO_NODE|^SMB_ACL_T|^ADS_MODLIST|^PyObject|^SORTED_TREE|^REGISTRY_HOOK|^REGISTRY_VALUE|^REGVAL_CTR|^DEVICEMODE|^PAC_DATA|^NET_USER_INFO_3|^smb_event_id_t/ ) {
gotstart = 1;
}
diff --git a/source3/script/tests/functions b/source3/script/tests/functions
index 0981d9e29e..40e185e153 100644
--- a/source3/script/tests/functions
+++ b/source3/script/tests/functions
@@ -2,16 +2,13 @@
## library file for test functions
##
-
-SMBCONTROL="smbcontrol -t 3"
-
##
## start/stop smbd daemon
##
check_smbd_running()
{
## the smbcontrol ping will return a 0 on success
- $SMBCONTROL $CONFIGURATION smbd ping 2>&1 > /dev/null
+ smbcontrol $CONFIGURATION smbd ping 2>&1 > /dev/null
}
start_smbd()
@@ -22,7 +19,7 @@ start_smbd()
sleep 1
- $SMBCONTROL $CONFIGURATION `cat $PIDDIR/smbd.pid` ping 2>&1 > /dev/null || return $?
+ smbcontrol $CONFIGURATION `cat $PIDDIR/smbd.pid` ping 2>&1 > /dev/null || return $?
}
stop_smbd()
@@ -33,7 +30,7 @@ stop_smbd()
## belt and braces; first kill and then send a shutdown message
kill -TERM $smbd_pid
- $SMBCONTROL $CONFIGURATION smbd shutdown
+ smbcontrol $CONFIGURATION smbd shutdown
## check to see if smbd is already running
check_smbd_running
@@ -43,23 +40,14 @@ stop_smbd()
fi
}
-check_ret_value()
-{
- ret=$@
-
- if test $ret != 0; then
- stop_smbd
- exit $ret
- fi
-}
##
-## start/stop nmbd daemon
+## start/stop smbd daemon
##
check_nmbd_running()
{
## the smbcontrol ping will return a 0 on success
- $SMBCONTROL $CONFIGURATION nmbd ping 2>&1 > /dev/null
+ smbcontrol $CONFIGURATION nmbd ping 2>&1 > /dev/null
}
start_nmbd()
diff --git a/source3/script/tests/t_001.sh b/source3/script/tests/t_001.sh
index 7db2abe226..6d54d0e489 100644
--- a/source3/script/tests/t_001.sh
+++ b/source3/script/tests/t_001.sh
@@ -22,27 +22,9 @@ chmod 1777 $PREFIX_ABS/tmp
start_smbd || exit $?
-## share enumeration
-
smbclient $CONFIGURATION -L localhost -N -p 139
-check_ret_value $?
-
-testfile=`echo $CONFIGURATION | awk '{print $2}'`
-filename=`basename $testfile`
-dirname=`dirname $testfile`
-
-
-# file get/put
-
-smbclient //localhost/test $PASSWORD $CONFIGURATION -c "lcd $dirname; put $filename"
-check_ret_value $?
-
-smbclient //localhost/test $PASSWORD $CONFIGURATION -c "get $filename; rm $filename"
-check_ret_value $?
-
-diff $filename $testfile 2> /dev/null > /dev/null
-check_ret_value $?
+ret=$?
stop_smbd
-exit 0
+exit $ret